Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Smoky Barnable

♥Ambassador
  • Content count

    174
  • Joined

  • Last visited

  • Days Won

    11

Reputation Activity

  1. Like
    Smoky Barnable reacted to koopmanh in How to Install OSC V4 on Xampp   
    If you install this on XAMPP for windows, you have to manually add the symlinks for the demo shops.
    To  do this start a cmd.exe session with administrator privileges. Go tot the directory where you have oscommerce installed (in my example "c:\xampp\htdocs\catalog")
    then add the following commands
    mklink -D watch  c:\xampp\htdocs\catalog
    mklink -D  furniture c:\xampp\htdocs\catalog
    mklink -D printshop c:\xampp\htdocs\catalog
    mklink -D  b2b-supermarket  c:\xampp\htdocs\catalog
     
     
     
  2. Like
    Smoky Barnable reacted to osCommerce-Official in Merry Christmas!   
    Wishing all osCommerce users and supporters a very Merry Christmas! 
    It doesn't matter whether you celebrate this or that holiday, or follow this or that religion. It is about sharing love and care and rejoicing! 
    Wishing you all to love and to be loved, to be merry these holidays!
    Yours,
    osCommerce Team 
  3. Like
    Smoky Barnable reacted to Mort-lemur in How to Install OSC V4 on Xampp   
    Download and install Xampp from here: https://www.apachefriends.org/download.html The version I used was windows with php 8.1.12
    It will install in the directory c:\xampp
    In c:\xampp\htdocs create the directory “catalog”
    Download the latest version of OSC4 from here: https://www.oscommerce.com/
    Once downloaded unzip the files to c:\xampp\htdocs\catalog
    Start the xampp control panel and start Apache, MySql & Mercury
    In xampp control panel click on MySql admin tab – this will open xampp PhpMyAdmin where you need to create a new database and password.
    In your browser, navigate to localhost/catalog – This should start the installation process for OSC4
    Initially the installation will fail due to a couple of services needed as follows:
    First PHP GD: See this link for the solution: https://www.geeksforgeeks.org/how-to-install-php-gd-in-xampp/ Second PHP Extension intl: See this limk for the solution: https://stackoverflow.com/questions/33869521/how-can-i-enable-php-extension-intl The installation may fail again when trying to install the database due to password issues – If so you may need to hard code your database password into the catalog/admin/includes/configure.php file at around line 52
    The installation should now continue and complete (unless I forgot a step / adjustment somewhere….)
    Ok so now you can go to the browser and using localhost/catalog open your new website. BUT…..
    More changes are required to enable your access to your Admin / Backend as follows:
    Firstly from a post by @pandrei a change needed to: xampp/htdocs/catalog/admin/includes/local/configure.php and remove extra slash in these constants:

    define('DIR_WS_ADMIN', '//oscommerce/store/admin/'); define('DIR_WS_CATALOG', '//oscommerce/store'); Change to:

    define('DIR_WS_ADMIN', '/oscommerce/store/admin/'); define('DIR_WS_CATALOG', '/oscommerce/store'); You can now navigate to localhost/catalog/admin but the login will fail, as the Mercury email programme needs to be set up as follows:
    First make sure you have an email account and password set up (I created a gmail.com email account just for this purpose)
    Then you need to configure Mercury to send mails, there is lots of info out there, but this link is one of the most straightforward: https://www.geeksforgeeks.org/how-to-configure-xampp-to-send-mail-from-localhost-using-php/
    Next you need to make a change via the xampp mercury control panel, just a case of unchecking a box, which this link explains: https://stackoverflow.com/questions/6809369/warning-mail-function-mail-smtp-server-response-553-we-do-not-relay-non-l
    You should now be able to login to your Admin / Backend – Simples!
    Disclaimer: As I did the install a few days ago I may have forgotten a step or change needed, so don’t blame me if it does not work or if you waste hours of time….. If it fails post here and I (or somebody who actually knows what they are doing) will try and help.
     
     
     
  4. Like
    Smoky Barnable reacted to Mort-lemur in Can't run on local server   
    That will not be a problem - But first I need to spend a couple of days making sure its working on xampp as it should as I think there may be some minor issues.
  5. Like
    Smoky Barnable reacted to osCommerce-Official in Can't run on local server   
    Would you consider creating a new post about how to install osCommerce on Xampp? Would be ever so grateful! 
  6. Like
    Smoky Barnable reacted to YePix in New V2 Forum   
    The w3c version is finished so far.
    DEMOSHOP
    Download w3c
  7. Like
    Smoky Barnable reacted to Lioelx in [Addon] Ajax Product Listing for osC 2.3.4 bootstrap   
    Hi @@auzStar
    You're right in what you say, but I think the habit of users is to scroll down.
    Regards
  8. Like
    Smoky Barnable reacted to Antonio Garcia in osCommerce site and Forums update notice   
    To current osCommerce administrators:
    I'm so sorry, but I think this decision CUT THE FREEDOM of choice and FORCE you to upgrade, even if you need a single old app for your old oscommerce install, which is updated for years and runs on php 8 with no problem. Sorry, it's not good and not fair.
    I know V4 is more complete, modern, but I just DON'T need it due to the difficulty of upgrading from our old heavily modified stores.
    Please I beg for a link for the old applications. Of course you should put that they are legacy and recommend a V4 update but at least you will keep all the years of work of all types of users available for all who want it. For everyone who needs it.
    I want to be as constructive as possible and would like to suggest that you seduce instead of delete the others' work that could be effective for others (even if you have legality on your side).
    If not, at least take the corage of not mention about the old millions of apps / users / web, etc. Sorry, I think that this is not ethic at all (I cant be pround for a legacy that I don't have or I'm embrassed).
    NOTE:
    It seems that here you can get the old contributions...
    https://old.oscommerce.com/
  9. Like
    Smoky Barnable got a reaction from ArtcoInc in osCommerce site and Forums update notice   
    Great ideas are never obsolete. Old code can easily be updated to PHP8 and made responsive. Serious mistake removing legacy addons, in my humble opinion.
  10. Like
    Smoky Barnable reacted to w2vy in Addon access   
    I would like to get access to the latest USPS Shipping module as well as Paypal payment module.
    The source code is covered under the GNU GPL license as stated in the source:
    /**
     * This file is part of osCommerce ecommerce platform.
     * osCommerce the ecommerce
     *
     * @link https://www.oscommerce.com
     * @copyright Copyright (c) 2000-2022 osCommerce LTD
     *
     * Released under the GNU General Public License
     * For the full copyright and license information, please view the LICENSE.TXT file that was distributed with this source code.
     */
    I am also one of the core developers and wrote a lot of the module code that was used as the basis of all the modules.
    I am attempting the simplest task, taking my store and upgrading it to 4.0
    It is surprising that there isn't a osc legacy theme...
    I am starting to wonder if osc4 is actually being used by anyone in a real application
    I may have to throw in the towel and go to one of the many osc forks, that I as a core dev felt would be going to the dark side
    Tom
  11. Like
    Smoky Barnable reacted to JcMagpie in support thread for JcM Store Close V1.0 Phoenix   
    JcM Store Close Phoenix V1.0
    This is an add-on that lets you close your store to orders being placed. It contains 2 modules.
    The first is a simple header message which can be used to let your customer know you are closed.
    The second is a button control header tag that hides buy or add to cart buttons on index and replaces the buy button on product info page with a closed button. It is designed for stock install so if you have any custom buttons then you will need to deal with those separately.
    Again totally stand alone with no code change. Simply copy all files into relevant sections and install.
    The messages can be set in admin by editing language files.
    Once installed all you need to do is turn on the 2 modules to close the store to new orders. No other module needs to be changed as customer can not add anything to basket. Your store should be full functional other than this and web links , seo should be unaffected as all products and pages are still active and available.
    Has been tested on Phoenix 1.0.2.x only.
    Enjoy!
    The message ( you can select which pages it is shown on )

    The disabled closed button on product info page

     
  12. Like
    Smoky Barnable got a reaction from GetSirius in Addon access   
    We need access to the old addons now, not "shortly". If you refuse to provide access to this open source content authored by developers who offered this content for free, would you at least consider paid access? It's impossible for forum members to provide support to those in need if we can't reference the files.
  13. Like
    Smoky Barnable got a reaction from GetSirius in Addon access   
    We need access to the old addons now, not "shortly". If you refuse to provide access to this open source content authored by developers who offered this content for free, would you at least consider paid access? It's impossible for forum members to provide support to those in need if we can't reference the files.
  14. Like
    Smoky Barnable got a reaction from GetSirius in Addon access   
    We need access to the old addons now, not "shortly". If you refuse to provide access to this open source content authored by developers who offered this content for free, would you at least consider paid access? It's impossible for forum members to provide support to those in need if we can't reference the files.
  15. Like
    Smoky Barnable reacted to GLWalker in osCommerce site and Forums update notice   
    So the old version is.... blah, blah, blah. We get it, we know that.
    The new version is... blah, blah, blah. Still get it, still know that.
     
    So the  >v4 addons are gone because the old version is... or is it because the new version is...?   Makes no sense either way. There actually are users that actually realized the old version's of osCommerce were at EOL status, many who were probably weighing business decisions on how and when to change software. Some of those many users  were probably keeping an eye on the new V4, waiting until they feel they can change and build up to meet their shops already existing requirements that there existing osCommerce shop has been customized to meet. Do you not realize how many existing users may want to look back at the old contributions they have had installed through the years? Maybe they have an issue and want to see the original code for debugging, upgrading it to work on modern server setups, etc; Maybe they want to see what it would take to "modernize" an older contribution, or completely make a new addon based on just the "idea" of an old contribution. 
    Anyway you look at it, you alienated countless established users when taking down the old addons. You can repeat how the old version is "...", and the new version is "..." all you want, it doesn't help. People here are not dumb, they're smart enough to already know that. They're smart enough to make changes when their business allows, and they're also smart enough to find another software that will meet their business needs when the time for that change comes.
    Now all that was primarily the shop owner point of view in me. So how about the developer standpoint? With a quick look, on the surface, the new code shares a lot of the old code. Even makes use of a modified theme system that was an old addon, looks like maybe BTS? or something similar.  So that says, hey I can take some old addons, redevelop them, and release them as new addons! But, maybe like, y'know, Holbi had the same idea. So lets just cutoff access to all those old ideas and maybe release the most popular as new and improved paid addons! You have every right to do it too.
    I feel like your going to push more away than you attract by removing the addons. Such a nonissue just to restore them, such a shit move not too. And believe me, people who know who I am, know I am all too familiar with shit moves and osCommerce.
    Either way, best of luck.
     
  16. Confused
    Smoky Barnable reacted to asandros in Can't run on local server   
    Hello,
    Sorry, unfortunately nothing can comment regarding Windows. I personally suggest to install osCommerce 4 on Linux based systems, at least on Linux virtual machine running on the Windows.
  17. Like
    Smoky Barnable reacted to Jack_mcs in Can't run on local server   
    @osCommerce-OfficialI tried installing V4 onto my local wamp server. At the start of the install there was a message that said V4 wouldn't run when apache was on Windows. I went ahead and tried it and the splash page did show up but the admin displays a denied message. I asked  Andrei about it and he said it should work but to post here if I couldn't get it going. I checked all of the listed requirements and they are present. Not being able to run this locally will cause a lot of extra work and delays for developers, at least for me. Is there a way to get this to work?
  18. Sad
    Smoky Barnable reacted to mattsc in Where is the PayPal v5.x module??? Replaced with 1.0 modules with "Price coming soon" and no code   
    As near as I can tell, the code for paypal module isn't available anymore. My OSC 2.3.4 BS stores are running the PayPal App v4.039 and I was contacted by PayPal saying that we needed to update to the latest code. Looking at the app listings tho, the PayPal app has been replaced with v1.0 versions:
    https://app.oscommerce.com/paypal-pro-hs
    https://app.oscommerce.com/paypal-partner
    Both say they are v1.0 and "Price coming soon" and no links for code or means of downloading anything! Where is the v5.x codebase of the PayPal module???
  19. Like
    Smoky Barnable reacted to ce7 in osCommerce site and Forums update notice   
    Yes, you as admin can decide what you want, but as user like us, when we are not ready to move on the new plate form and it is not right you just disable the old addons while we are still rely on those addons to make our old version website working. Also we have the right to use old version, you just dont need to support, why need to disable the old addone links? The reason we use oscommerce these years is that lots of experts here gave their great support free and share their addons free. If you want to make money, that is fair enough, but not continue to support the old version website and disable addons, yes, I feel like we are abandoned and not respected. After this frustrated and disappointed new update, I dont think I will not continue to use osCommerce any more.
     
    And special Thank You to the old version Oscommerce and experts who kindly share their time, knowledge and help, sorry you did not earn money from me but you earn respect from me.
  20. Like
    Smoky Barnable reacted to bonbec in New V2 Forum   
    The problem is that you have removed access to addons from V2 and V4 has no addons available.
    Almost no store works with the default configuration. Each store has its specificities and needs certain addons to live and develop while waiting to be able to use V4.
    For many of us, the online store is the only source of income. Without the necessary addons, the revenue stream drops or stagnates, which is not in our interest.
    A V4 without addons is of little interest except to become familiar with its operation, but that's not what brings money into our pockets.
  21. Like
    Smoky Barnable reacted to Hotclutch in New V2 Forum   
    "
    Support for older versions of osCommerce may be offered on these Forums, temporarily, although we encourage all users to move to the new, better, and more secure version.
    Support for other Ecommerce platforms and osCommerce forks WILL NOT be offered on these Forums. 
    "
    I am two minded about investing the time and money in starting up a brand new domain and forum as a meeting place for people still interested in V2 osCommerce. The forum will be non commercial, for information exchange only, as osCommerce was in the beginning. How many people interested in this idea ?
  22. Like
    Smoky Barnable reacted to osCommerce-Official in osCommerce interview   
    What is osCommerce 4.0? How it was created and why? What is the team behind osCommerce? How was osCommerce released during the war in Ukraine? 
    All of this and more in the video interview, done by David Goodale of Merchant Accounts (Canada):
    Visit https://www.merchant-accounts.ca/oscommerce-version-4-re-building-the-classic-open-source-e-commerce-platform.php for the full video and transcript!
  23. Confused
    Smoky Barnable reacted to osCommerce-Official in Future Availability of legacy Addons   
    Yes they will for some time. We will try to make them available soon in read-only mode 
  24. Like
    Smoky Barnable got a reaction from ArtcoInc in osCommerce site and Forums update notice   
    Great ideas are never obsolete. Old code can easily be updated to PHP8 and made responsive. Serious mistake removing legacy addons, in my humble opinion.
  25. Like
    Smoky Barnable got a reaction from ArtcoInc in osCommerce site and Forums update notice   
    Great ideas are never obsolete. Old code can easily be updated to PHP8 and made responsive. Serious mistake removing legacy addons, in my humble opinion.
×